Account Entity
The account entity has the following fields.name
: string Name of the account holder.
email
: string Email address of the account holder.
tnc_accepted
: boolean Indicates if the terms and conditions have been accepted or not.
true: Terms and conditions have been accepted.false: Terms and conditions have not been accepted.
business_name
: string Your company name.
business_type
: string Business type. Possible values:
llpngootherindividualpartnershipproprietorshippublic_limitedprivate_limitedtrust,societynot_yet_registerededucational_institutes
ifsc_code
: string The ifsc code of your bank account.
beneficiary_name
: string Name of the bank account holder.
account number mandatory
: string The bank account number.
account_type
: string The bank account type. For example, Current.
id
: string Razorpay account ID. For example acc_gHQwerty123ggd.
live
: boolean Indicates if an account is live or not.
true: Account is live.false: Account is not live.
managed
: boolean Indicates if it is a Linked Account or not.
status
: string Indicates the status of an account. Possible values:
activatednot_activatedverification_failed(penny testing enabled)verification_pending(penny testing enabled)
can_submit
: boolean Indicates if the activation fields have been filled up or not. Possible values:
true: Activation fields are filled.false: Activation fields are not filled.
fields_pending
: array Lists all the pending fields for activating the account.
transaction_report_email
: array List of emails to which the transaction email report will be sent.
mobile
: integer Company mobile number.
landline
: integer Company landline number.
business_models
: string The type of the business modes. Can accept these values: B2B or B2C or B2B+B2C.
registered_address
: The registered address of the company.
address
: string The registered company address, at the time of account creation.
city
: string The name of the city in your business address.
state
: string The name of the state in your business address.
pin
: integer The pin code of the area in your business address.
operational_address
: The operational address of the company.
address
: string The current operational address of the company.
city
: string The name of the city in your operational address.
state
: string The name of the state in your operational address.
pin
: string The pin code of the area in your operational address.
date_establishment
: integer Date of establishment.
transaction_volume
: string Expected annual transaction volume (INR).
average_transaction_size
: integer Expected average transaction value.
cin
: string Company CIN.
gstin
: string GST Identification Number.
p_gstin
: string Provisional GST Identification Number.
pan
: string Company PAN.
pan_name
: string Name of the account holder as given on PAN card.
promoter_pan
: string PAN of any 1 authorized signatory/promoter/director.
promoter_pan_name
: string Name on the promoter’s PAN Card.
notes
: object A key-value store present with every Razorpay entity like Account, Payment, Refund, etc. You can use this for storing additional data relating to the entity in a structured format. Refer Notes section of API documentation to learn more.
destination
: string The Id of the bank account entity created. For example, ba_gHQwerty123ggd
Create an Account
Use the following endpoint to create an account. beta/accountsSample Request and Response
Sample Request
Handy Tips
Fetch Accounts
The below API is used for fetching the details of all the accounts. beta/accountsSample Request and Response
The below API creates a Razorpay merchant account.cURL
Fetch Account by ID
The below API is used for fetching details of an account by ID. beta/accounts/:idSample Request and Response
The below API fetches the details of a Razorpay merchant account.Update Bank Account Details
Use the following endpoint to update bank account details of the Linked Account. beta/accounts/:id/bank_accountRequest
Path Parameter
id mandatory
: string The unique identifier of the Linked Account.
Request Parameters
beneficiary_name mandatory
: string Beneficiary account name.
account number mandatory
: string The bank account number.
ifsc_code mandatory
: string The ifsc code of your bank account.
Response Parameters
status
: string Indicates the status of a Linked Account. Possible values:
activatedverification_failed(penny testing enabled)verification_pending(penny testing enabled)
beneficiary_name
: string Beneficiary account name.
account number
: string The bank account number.
ifsc_code
: string The ifsc code of your bank account.
Webhooks
Theaccount.updated event is triggered for the Penny testing enabled Linked Accounts when the bank verification of the account fails or is successful.
Sample Payload
The sample payload of theaccount.updated event is given below.
verification_failed